// General cpw styles.
.product, .wcopc .product-item {

	.cpw-disabled {
		opacity: 0.2;
	}

	.single_variation_wrap {

		.cpw { display: none; }

		.suggested-text {
			margin-bottom: 1.5em;
			display: inline-block;
		}

	}

	.cpw {

		margin-bottom: 1.5em;

		label {
			font-weight: bold;
			display: block;
		}

		.cpw-input {
			display: inline-block;
			margin-bottom: 0;
			text-align: center;
			font-weight: bold;
			min-width: 10em;
		}

		.minimum-price {
			margin: 0;
			color: inherit;
			font-size: .75em;
			opacity: .7;
			clear: both;
		}

		.woocommerce-cpw-message {
			margin: 1em 0 !important;
		}

		&:after {
			content: "";
			display: table;
			clear: both;
		}

	}

}

/* Integration: Elementor fix for flex styles */
.woocommerce div.cpw-product.elementor form.cart {
	display: block !important;
}

/* Integration: PayPal Payments */
.cpw-product {
    #ppc-button, #ppcp-messages {
        display: none !important;
    }
}

/* Integration: WooCommerce Payments */
.cpw-product {
    #wcpay-payment-request-wrapper, #wcpay-payment-request-button-separator {
        display: none !important;
    }
}


